classification
Title: Mention pytz in datetime's docs
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: asvetlov, docs@python, eric.araujo, python-dev, sandro.tosi
Priority: normal Keywords: easy, patch

Created on 2012-03-29 21:21 by asvetlov, last changed 2012-04-28 09:21 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
pytz.diff asvetlov, 2012-03-29 21:21 review
Messages (5)
msg157104 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-03-29 21:21
Python Standard Library itself has not timezone objects.
There are well-maintained project named pytz.

Let's mention pytz in datetime docs.

I have attached a patch, please review it.
msg157110 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-03-29 23:05
Good idea.  The patch has a few English and markup errors; I’ll update it when I get home.  To catch such errors in the future, you can re-run “make html”.
msg159175 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-04-24 17:48
New changeset e0e421133d0f by Sandro Tosi in branch '2.7':
Issue #14448: mention pytz; patch by Andrew Svetlov
http://hg.python.org/cpython/rev/e0e421133d0f

New changeset 3aec41794584 by Sandro Tosi in branch '3.2':
Issue #14448: mention pytz; patch by Andrew Svetlov
http://hg.python.org/cpython/rev/3aec41794584

New changeset b46fa7bc6710 by Sandro Tosi in branch 'default':
Issue #14448: merge with 3.2
http://hg.python.org/cpython/rev/b46fa7bc6710
msg159176 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2012-04-24 17:48
I've reworded a bit the patch: thanks for it, Andrew
msg159512 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-04-28 09:21
New changeset 1e5a483248ce by Sandro Tosi in branch '2.7':
Issue #14448: add reference to IANA timezone database; thanks to Georg/Nick suggestions
http://hg.python.org/cpython/rev/1e5a483248ce

New changeset a5a0d47e6e78 by Sandro Tosi in branch '3.2':
Issue #14448: add reference to IANA timezone database; thanks to Georg/Nick suggestions
http://hg.python.org/cpython/rev/a5a0d47e6e78

New changeset c91ed8dacf38 by Sandro Tosi in branch 'default':
Issue #14448: merge with 3.2
http://hg.python.org/cpython/rev/c91ed8dacf38
History
Date User Action Args
2012-04-28 09:21:57python-devsetmessages: + msg159512
2012-04-24 17:48:58sandro.tosisetstatus: open -> closed

nosy: + sandro.tosi
messages: + msg159176

resolution: fixed
stage: patch review -> resolved
2012-04-24 17:48:10python-devsetnosy: + python-dev
messages: + msg159175
2012-03-29 23:05:15eric.araujosetnosy: + eric.araujo
title: Metnion pytz in datetime's docs -> Mention pytz in datetime's docs
messages: + msg157110

versions: + Python 2.7, Python 3.2, Python 3.3
2012-03-29 21:21:04asvetlovcreate